# Makefile.in generated by automake 1.14 from Makefile.am.
# @configure_input@

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@


VPATH = @srcdir@
am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
bin_PROGRAMS =
noinst_PROGRAMS = $(am__EXEEXT_1)
@CREATE_INTERFACES_TRUE@am__append_1 = CdiInfo
@CREATE_INTERFACES_TRUE@am__append_2 = libcdipp.la
@ENABLE_RUBY_TRUE@am__append_3 = rubyObj rubyLib
@ENABLE_RUBY_TRUE@am__append_4 = rubyObjInstall
@ENABLE_RUBY_TRUE@am__append_5 = rubyObjTest rubyLibTest
# =========================================================
@ENABLE_PYTHON_TRUE@am__append_6 = pythonObj pythonLib
@ENABLE_PYTHON_TRUE@am__append_7 = pythonObjInstall pythonLibInstall
@ENABLE_PYTHON_TRUE@am__append_8 = pythonObjTest pythonLibTest
subdir = interfaces
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
	$(top_srcdir)/config/mkinstalldirs \
	$(top_srcdir)/config/depcomp
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps =  \
	$(top_srcdir)/m4/acx_assert_lang_is_fortran_variant.m4 \
	$(top_srcdir)/m4/acx_c_package.m4 \
	$(top_srcdir)/m4/acx_cfortran_flags.m4 \
	$(top_srcdir)/m4/acx_check_cfortran.m4 \
	$(top_srcdir)/m4/acx_check_strptr_convert.m4 \
	$(top_srcdir)/m4/acx_execinfo.m4 \
	$(top_srcdir)/m4/acx_fortran_package.m4 \
	$(top_srcdir)/m4/acx_lang_check_include.m4 \
	$(top_srcdir)/m4/acx_lang_other_suffix_conftest.m4 \
	$(top_srcdir)/m4/acx_lang_package.m4 \
	$(top_srcdir)/m4/acx_lt_problems.m4 \
	$(top_srcdir)/m4/acx_option_search_libs.m4 \
	$(top_srcdir)/m4/acx_options.m4 \
	$(top_srcdir)/m4/acx_sl_fc_mod_path_flag.m4 \
	$(top_srcdir)/m4/acx_sl_mod_suffix.m4 \
	$(top_srcdir)/m4/asx_tr_arg.m4 $(top_srcdir)/m4/asx_unset.m4 \
	$(top_srcdir)/m4/ax_pthread.m4 \
	$(top_srcdir)/m4/kpse_libtool.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/starlink_fpp.m4 \
	$(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/m4/ac_lang_program_fortran.m4 \
	$(top_srcdir)/m4/acx_lang_fortran_check_include.m4 \
	$(top_srcdir)/m4/acx_lang_c_check_include.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/src/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)"
LTLIBRARIES = $(lib_LTLIBRARIES)
libcdipp_la_DEPENDENCIES = $(top_builddir)/src/libcdi.la
am_libcdipp_la_OBJECTS = cdi.lo
libcdipp_la_OBJECTS = $(am_libcdipp_la_OBJECTS)
AM_V_lt = $(am__v_lt_@AM_V@)
am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
am__v_lt_0 = --silent
am__v_lt_1 = 
@CREATE_INTERFACES_TRUE@am_libcdipp_la_rpath = -rpath $(libdir)
@CREATE_INTERFACES_TRUE@am__EXEEXT_1 = CdiInfo$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS) $(noinst_PROGRAMS)
am_CdiInfo_OBJECTS = CdiInfo.$(OBJEXT)
CdiInfo_OBJECTS = $(am_CdiInfo_OBJECTS)
CdiInfo_DEPENDENCIES = libcdipp.la
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/src
depcomp = $(SHELL) $(top_srcdir)/config/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
AM_V_CXX = $(am__v_CXX_@AM_V@)
am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
am__v_CXX_0 = @echo "  CXX     " $@;
am__v_CXX_1 = 
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
am__v_CXXLD_0 = @echo "  CXXLD   " $@;
am__v_CXXLD_1 = 
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_@AM_V@)
am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_@AM_V@)
am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(libcdipp_la_SOURCES) $(CdiInfo_SOURCES)
DIST_SOURCES = $(libcdipp_la_SOURCES) $(CdiInfo_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CDI_F90_INTERFACE_FCFLAGS = @CDI_F90_INTERFACE_FCFLAGS@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
ENABLE_CDI_LIB = @ENABLE_CDI_LIB@
ENABLE_CGRIBEX = @ENABLE_CGRIBEX@
ENABLE_EXTRA = @ENABLE_EXTRA@
ENABLE_GRIB = @ENABLE_GRIB@
ENABLE_IEG = @ENABLE_IEG@
ENABLE_MPI = @ENABLE_MPI@
ENABLE_NC2 = @ENABLE_NC2@
ENABLE_NC4 = @ENABLE_NC4@
ENABLE_NETCDF = @ENABLE_NETCDF@
ENABLE_PYTHON = @ENABLE_PYTHON@
ENABLE_RUBY = @ENABLE_RUBY@
ENABLE_SERVICE = @ENABLE_SERVICE@
EXEEXT = @EXEEXT@
F77 = @F77@
FC = @FC@
FCFLAGS = @FCFLAGS@
FCFLAGS_f90 = @FCFLAGS_f90@
FCMODCASE = @FCMODCASE@
FCMODEXT = @FCMODEXT@
FC_MOD_FLAG = @FC_MOD_FLAG@
FFLAGS = @FFLAGS@
FGREP = @FGREP@
FPP = @FPP@
FPPFLAGS = @FPPFLAGS@
FPP_DEFOPT = @FPP_DEFOPT@
FPP_INCOPT = @FPP_INCOPT@
GREP = @GREP@
GRIB_API_INCLUDE = @GRIB_API_INCLUDE@
GRIB_API_LIBS = @GRIB_API_LIBS@
HAVE_PARALLEL_NC4 = @HAVE_PARALLEL_NC4@
HDF5_INCLUDE = @HDF5_INCLUDE@
HDF5_LIBS = @HDF5_LIBS@
HDF5_ROOT = @HDF5_ROOT@
HOST_NAME = @HOST_NAME@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
JASPER_LIBS = @JASPER_LIBS@
LD = @LD@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBPNG_LIBS = @LIBPNG_LIBS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
MANIFEST_TOOL = @MANIFEST_TOOL@
MKDIR_P = @MKDIR_P@
MPIROOT = @MPIROOT@
MPI_C_INCLUDE = @MPI_C_INCLUDE@
MPI_C_LIB = @MPI_C_LIB@
MPI_FC_INCLUDE = @MPI_FC_INCLUDE@
MPI_FC_LIB = @MPI_FC_LIB@
MPI_LAUNCH = @MPI_LAUNCH@
NC_CONFIG = @NC_CONFIG@
NETCDF_INCLUDE = @NETCDF_INCLUDE@
NETCDF_LIBS = @NETCDF_LIBS@
NETCDF_ROOT = @NETCDF_ROOT@
NM = @NM@
NMEDIT = @NMEDIT@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OPENJPEG_LIBS = @OPENJPEG_LIBS@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PKG_CONFIG = @PKG_CONFIG@
PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
PPM_CORE_CFLAGS = @PPM_CORE_CFLAGS@
PPM_CORE_LIBS = @PPM_CORE_LIBS@
PTHREAD_CC = @PTHREAD_CC@
PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
PTHREAD_LIBS = @PTHREAD_LIBS@
PYTHON = @PYTHON@
RANLIB = @RANLIB@
RUBY = @RUBY@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
SWIG = @SWIG@
SYSTEM_TYPE = @SYSTEM_TYPE@
SZLIB_INCLUDE = @SZLIB_INCLUDE@
SZLIB_LIBS = @SZLIB_LIBS@
THREADS_INCLUDE = @THREADS_INCLUDE@
THREADS_LIBS = @THREADS_LIBS@
USER_NAME = @USER_NAME@
USE_MPI = @USE_MPI@
UUID_C_LIB = @UUID_C_LIB@
VERSION = @VERSION@
YAXT_CFLAGS = @YAXT_CFLAGS@
YAXT_LIBS = @YAXT_LIBS@
ZLIB_INCLUDE = @ZLIB_INCLUDE@
ZLIB_LIBS = @ZLIB_LIBS@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
ac_ct_F77 = @ac_ct_F77@
ac_ct_FC = @ac_ct_FC@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
ax_pthread_config = @ax_pthread_config@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
openjpeg_LIBS = @openjpeg_LIBS@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@

#
SWIGCDILIB = cdilib.i
SWIGCDIOBJ = cdiobj.i
BINDINGS = $(am__append_3) $(am__append_6)
BINDINGS_INSTALL = $(am__append_4) $(am__append_7)
BINDINGS_TESTS = $(am__append_5) $(am__append_8)
EXTRA_DIST = $(SWIGCDIOBJ) $(SWIGCDILIB) \
	\
	ruby/cdilib_wrap.c ruby/cdiobj_wrap.cpp ruby/testLib.rb \
	ruby/testObj.rb \
	\
	python/cdilib_wrap.c python/cdiobj_wrap.cpp python/testLib.py \
	python/testObj.py python/setupObj.py python/setupLib.py \
	python/setup.py python/table.py python/CdiLib.py \
	python/CdiObj.py \
	\
	CdiInfo.cpp \
	\
	f2003/bindGen.rb

lib_LTLIBRARIES = $(am__append_2)
#
locallibs = $(top_builddir)/src/.libs/libcdi.so @LTLIBOBJS@ @NETCDF_LIBS@ @HDF5_LIBS@ @SZLIB_LIBS@ @ZLIB_LIBS@
libcdipp_la_SOURCES = cdi.cpp cdi.hpp
libcdipp_la_LIBADD = $(top_builddir)/src/libcdi.la
CdiInfo_SOURCES = CdiInfo.cpp
CdiInfo_LDADD = libcdipp.la
#
#
select_test_file = \
	`if test $(ENABLE_NETCDF) = yes ; then test -f ../testdata/mulval.nc && echo ../testdata/mulval.nc || echo '$(abs_srcdir)/testdata/mulval.nc' ; elif test $(ENABLE_GRIB) = yes -o $(ENABLE_CGRIBEX) = yes ; then test -f ../testdata/mulval.grb && echo ../testdata/mulval.grb || echo '$(abs_srcdir)/testdata/mulval.grb' ; else exit 1; fi`

# Ruby ====================================================
@ENABLE_RUBY_TRUE@rubyLibDir = rubyLibOut

# =========================================================
@ENABLE_RUBY_TRUE@rubyObjDir = rubyObjOut
# Python ==================================================
@ENABLE_PYTHON_TRUE@setup_python_vars = LIBTOOL="$(SHELL) $(abs_top_builddir)/libtool" \
@ENABLE_PYTHON_TRUE@	  AM_LIBTOOLFLAGS="$(AM_LIBTOOLFLAGS)" \
@ENABLE_PYTHON_TRUE@	  LIBTOOLFLAGS="$(LIBTOOLFLAGS) --mode=install" \
@ENABLE_PYTHON_TRUE@	  INSTALL="$(INSTALL) $(INSTALL_STRIP_FLAG)" \
@ENABLE_PYTHON_TRUE@	  CC="$${LIBTOOL} --mode=compile --tag=CC $(CC) -shared" \
@ENABLE_PYTHON_TRUE@	  CFLAGS="$(CFLAGS) $(DEFS)" \
@ENABLE_PYTHON_TRUE@	  LDSHARED="$${LIBTOOL} --mode=link --tag=CC $(CC) -module -shared" \
@ENABLE_PYTHON_TRUE@	  BUILDLIBDIR="$(top_builddir)/src" \
@ENABLE_PYTHON_TRUE@	  LIBDIR="$(libdir)" \
@ENABLE_PYTHON_TRUE@	  LIBS="$(LIBS)" \
@ENABLE_PYTHON_TRUE@	  LDFLAGS="-L../../src $(LDFLAGS)" \
@ENABLE_PYTHON_TRUE@	  INCFLAGS="-I.. -I$(abs_srcdir) -I$(abs_top_srcdir)/src" \
@ENABLE_PYTHON_TRUE@	  OPT= \
@ENABLE_PYTHON_TRUE@	  BASECFLAGS= \
@ENABLE_PYTHON_TRUE@	  abs_srcdir='$(abs_srcdir)/python' ; \
@ENABLE_PYTHON_TRUE@	  abs_builddir='$(abs_builddir)' \
@ENABLE_PYTHON_TRUE@	  abs_builddir_python='$(abs_builddir)/python' \
@ENABLE_PYTHON_TRUE@	  abs_builddir_python_build='$(abs_builddir)/python/'"$${py_build_libdir}/.libs" ; \
@ENABLE_PYTHON_TRUE@	  export LIBTOOL AM_LIBTOOLFLAGS LIBTOOLFLAGS INSTALL \
@ENABLE_PYTHON_TRUE@	  CC BUILDLIBDIR LIBDIR CFLAGS OPT LIBS CDIOBJ_WRAP LDFLAGS \
@ENABLE_PYTHON_TRUE@	  BASECFLAGS INCFLAGS LDSHARED CXX abs_srcdir abs_builddir \
@ENABLE_PYTHON_TRUE@	  abs_builddir_python abs_builddir_python_build ;

@ENABLE_PYTHON_TRUE@setup_cdilib_py_vars = \
@ENABLE_PYTHON_TRUE@  setupLib_py=`test -f setupLib.py || echo '$(abs_srcdir)/python/'`setupLib.py ; \
@ENABLE_PYTHON_TRUE@  py_libdir=`$(PYTHON) $${setupLib_py} install --print-libdir --prefix="$(prefix)"` ; \
@ENABLE_PYTHON_TRUE@  py_build_libdir=`$(PYTHON) $${setupLib_py} install --print-build-libdir --prefix="$(prefix)"` ; \
@ENABLE_PYTHON_TRUE@  LDFLAGS="$${LDFLAGS} -rpath $${py_libdir}" ; \
@ENABLE_PYTHON_TRUE@  abs_builddir_python_build="$(abs_builddir)/python/$${py_build_libdir}/.libs"

@ENABLE_PYTHON_TRUE@setup_python_cxx_vars = CFLAGS="$(CXXFLAGS) $(DEFS)" \
@ENABLE_PYTHON_TRUE@	  CC="$${LIBTOOL} --mode=compile --tag=CXX $(CXX) -shared" \
@ENABLE_PYTHON_TRUE@	  LDSHARED="$${LIBTOOL} --mode=link --tag=CXX $(CXX) -module -shared" \
@ENABLE_PYTHON_TRUE@	  CXX="$${LIBTOOL} --mode=link --tag=CXX $(CXX) -module -shared"

@ENABLE_PYTHON_TRUE@setup_cdiobj_py_vars = \
@ENABLE_PYTHON_TRUE@  setupObj_py=`test -f setupObj.py || echo '$(abs_srcdir)/python/'`setupObj.py ; \
@ENABLE_PYTHON_TRUE@  py_libdir=`$(PYTHON) $${setupObj_py} install --print-libdir --prefix="$(prefix)"` ; \
@ENABLE_PYTHON_TRUE@  py_build_libdir=`$(PYTHON) $${setupObj_py} install --print-build-libdir --prefix="$(prefix)"` ; \
@ENABLE_PYTHON_TRUE@  LDFLAGS="$${LDFLAGS} -shared -rpath $${py_libdir}" \
@ENABLE_PYTHON_TRUE@  abs_builddir_python_build='$(abs_builddir)/python/'"$${py_build_libdir}/.libs"

#
AM_CPPFLAGS = -I$(top_srcdir)/src
all: all-am

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign interfaces/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign interfaces/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
	list2=; for p in $$list; do \
	  if test -f $$p; then \
	    list2="$$list2 $$p"; \
	  else :; fi; \
	done; \
	test -z "$$list2" || { \
	  echo " $(MKDIR_P) '$(DESTDIR)$(libdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(libdir)" || exit 1; \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
	}

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
	for p in $$list; do \
	  $(am__strip_dir) \
	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; \
	locs=`for p in $$list; do echo $$p; done | \
	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
	      sort -u`; \
	test -z "$$locs" || { \
	  echo rm -f $${locs}; \
	  rm -f $${locs}; \
	}

libcdipp.la: $(libcdipp_la_OBJECTS) $(libcdipp_la_DEPENDENCIES) $(EXTRA_libcdipp_la_DEPENDENCIES) 
	$(AM_V_CXXLD)$(CXXLINK) $(am_libcdipp_la_rpath) $(libcdipp_la_OBJECTS) $(libcdipp_la_LIBADD) $(LIBS)
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
	fi; \
	for p in $$list; do echo "$$p $$p"; done | \
	sed 's/$(EXEEXT)$$//' | \
	while read p p1; do if test -f $$p \
	 || test -f $$p1 \
	  ; then echo "$$p"; echo "$$p"; else :; fi; \
	done | \
	sed -e 'p;s,.*/,,;n;h' \
	    -e 's|.*|.|' \
	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
	sed 'N;N;N;s,\n, ,g' | \
	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
	    else { print "f", $$3 "/" $$4, $$1; } } \
	  END { for (d in files) print "f", d, files[d] }' | \
	while read type dir files; do \
	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
	    test -z "$$files" || { \
	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
	    } \
	; done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	files=`for p in $$list; do echo "$$p"; done | \
	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
	      -e 's/$$/$(EXEEXT)/' \
	`; \
	test -n "$$list" || exit 0; \
	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(bindir)" && rm -f $$files

clean-binPROGRAMS:
	@list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list

CdiInfo$(EXEEXT): $(CdiInfo_OBJECTS) $(CdiInfo_DEPENDENCIES) $(EXTRA_CdiInfo_DEPENDENCIES) 
	@rm -f CdiInfo$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(CdiInfo_OBJECTS) $(CdiInfo_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CdiInfo.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cdi.Plo@am__quote@

.cpp.o:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.cpp.lo:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-am
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-am

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-am

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) check-local
check: check-am
all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) all-local
install-binPROGRAMS: install-libLTLIBRARIES

installdirs:
	for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-binPROGRAMS clean-generic clean-libLTLIBRARIES \
	clean-libtool clean-local clean-noinstPROGRAMS mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am: install-binPROGRAMS install-exec-local \
	install-libLTLIBRARIES

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-binPROGRAMS uninstall-libLTLIBRARIES

.MAKE: check-am install-am install-strip

.PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
	check-local clean clean-binPROGRAMS clean-generic \
	clean-libLTLIBRARIES clean-libtool clean-local \
	clean-noinstPROGRAMS cscopelist-am ctags ctags-am distclean \
	distclean-compile distclean-generic distclean-libtool \
	distclean-tags distdir dvi dvi-am html html-am info info-am \
	install install-am install-binPROGRAMS install-data \
	install-data-am install-dvi install-dvi-am install-exec \
	install-exec-am install-exec-local install-html \
	install-html-am install-info install-info-am \
	install-libLTLIBRARIES install-man install-pdf install-pdf-am \
	install-ps install-ps-am install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	tags tags-am uninstall uninstall-am uninstall-binPROGRAMS \
	uninstall-libLTLIBRARIES


@ENABLE_RUBY_TRUE@rubyLibMakefile: $(rubyLibDir)/Makefile
@ENABLE_RUBY_TRUE@$(rubyLibDir)/Makefile: ruby/extconfLib.rb Makefile
@ENABLE_RUBY_TRUE@	$(MKDIR_P) $(rubyLibDir)
@ENABLE_RUBY_TRUE@	@cd $(rubyLibDir) && CFLAGS="$(CFLAGS)" LIBS="$(LIBS)" \
@ENABLE_RUBY_TRUE@	  LDFLAGS="$(LDFLAGS)" \
@ENABLE_RUBY_TRUE@	  INCFLAGS="-I$(abs_top_srcdir)/src" \
@ENABLE_RUBY_TRUE@	  ruby -I"$(abs_srcdir)/ruby" \
@ENABLE_RUBY_TRUE@	  `test -f ../ruby/extconfLib.rb && echo ../ruby || echo '$(abs_srcdir)/ruby/'`extconfLib.rb
@ENABLE_RUBY_TRUE@	$(SED) -i -e '/^\.c\.o:/s/^\.c\.o/.c.lo/;/^.SUFFIXES:/s/$$/ .lo/' \
@ENABLE_RUBY_TRUE@	  -e '/^install-so: \$$(RUBYARCHDIR)\/\$$(DLLIB)/{' \
@ENABLE_RUBY_TRUE@	  -e 's/^install-so:.*$$/install-so: $$(DLLIB)/;p;n;d' \
@ENABLE_RUBY_TRUE@	  -e '}' \
@ENABLE_RUBY_TRUE@	  -e 's/\$$(\@D)/\$$(RUBYARCHDIR)/' \
@ENABLE_RUBY_TRUE@	  $(rubyLibDir)/Makefile

@ENABLE_RUBY_TRUE@rubyLibWrapper: $(rubyLibDir)/cdilib_wrap.c
@ENABLE_RUBY_TRUE@$(rubyLibDir)/cdilib_wrap.c: cdilib.i ../src/cdi.h
@ENABLE_RUBY_TRUE@@ENABLE_SWIG_TRUE@	$(MKDIR_P) $(rubyLibDir)
@ENABLE_RUBY_TRUE@@ENABLE_SWIG_TRUE@	$(SWIG) -ruby -module CdiLib -o $(rubyLibDir)/cdilib_wrap.c \
@ENABLE_RUBY_TRUE@@ENABLE_SWIG_TRUE@	  $(AM_CPPFLAGS) $<

@ENABLE_RUBY_TRUE@rubyLib: rubyLibMakefile $(rubyLibDir)/CdiLib.la
@ENABLE_RUBY_TRUE@$(rubyLibDir)/CdiLib.la: $(rubyLibDir)/cdilib_wrap.c
@ENABLE_RUBY_TRUE@	$(MKDIR_P) $(rubyLibDir)
@ENABLE_RUBY_TRUE@	@cd $(rubyLibDir) && $(MAKE) \
@ENABLE_RUBY_TRUE@	  prefix="$(prefix)" libdir="$(libdir)" sitedir="$(libdir)/site_ruby" \
@ENABLE_RUBY_TRUE@	  CC="$(abs_top_builddir)/libtool --mode=compile --tag=CC $(CC) -shared" \
@ENABLE_RUBY_TRUE@	  OBJS=cdilib_wrap.lo \
@ENABLE_RUBY_TRUE@	  LDSHARED="$(abs_top_builddir)/libtool --mode=link --tag=CC $(CC) -shared -module -rpath "'$$(sitearchdir)' \
@ENABLE_RUBY_TRUE@	  DLLIB='$$(TARGET).la'

@ENABLE_RUBY_TRUE@rubyLibTest: rubyLib
@ENABLE_RUBY_TRUE@	$(MKDIR_P) $(rubyLibDir)
@ENABLE_RUBY_TRUE@	@cd $(rubyLibDir) && ruby -I ./.libs \
@ENABLE_RUBY_TRUE@	  `test -f ../ruby/testLib.rb && echo ../ruby || echo '$(abs_srcdir)/ruby'`/testLib.rb \
@ENABLE_RUBY_TRUE@	  $(select_test_file)

@ENABLE_RUBY_TRUE@rubyLibInstall: rubyLib
@ENABLE_RUBY_TRUE@	$(MKDIR_P) $(rubyLibDir)
@ENABLE_RUBY_TRUE@	@cd $(rubyLibDir) && $(MAKE) \
@ENABLE_RUBY_TRUE@	  prefix="$(prefix)" libdir="$(libdir)" sitedir="$(libdir)/site_ruby" \
@ENABLE_RUBY_TRUE@	  CC="$(abs_top_builddir)/libtool --mode=compile --tag=CC $(CC) -shared" \
@ENABLE_RUBY_TRUE@	  OBJS=cdilib_wrap.lo \
@ENABLE_RUBY_TRUE@	  LDSHARED="$(abs_top_builddir)/libtool --mode=link --tag=CC $(CC) -shared -module -rpath "'$$(sitearchdir)' \
@ENABLE_RUBY_TRUE@	  INSTALL_PROG="$(SHELL) $(abs_top_builddir)/libtool --mode=install $(install_sh_PROGRAM)" \
@ENABLE_RUBY_TRUE@	  DLLIB='$$(TARGET).la' install

@ENABLE_RUBY_TRUE@rubyObjMakefile: $(rubyObjDir)/Makefile
@ENABLE_RUBY_TRUE@$(rubyObjDir)/Makefile: ruby/extconfObj.rb
@ENABLE_RUBY_TRUE@	$(MKDIR_P) $(rubyObjDir)
@ENABLE_RUBY_TRUE@	@cd $(rubyObjDir) && CFLAGS="$(CFLAGS)" LIBS="$(LIBS)" \
@ENABLE_RUBY_TRUE@	  LDFLAGS="$(LDFLAGS)" \
@ENABLE_RUBY_TRUE@	  INCFLAGS="-I$(abs_srcdir)" \
@ENABLE_RUBY_TRUE@	  ruby -I"$(abs_srcdir)/ruby" \
@ENABLE_RUBY_TRUE@	  `test -f ../ruby/extconfObj.rb && echo ../ruby || echo '$(abs_srcdir)/ruby/'`extconfObj.rb
@ENABLE_RUBY_TRUE@	$(SED) -i -e '/^\.cpp\.o:/s/^\.cpp\.o/.cpp.lo/;/^.SUFFIXES:/s/$$/ .lo/' \
@ENABLE_RUBY_TRUE@	  -e '/^install-so: \$$(RUBYARCHDIR)\/\$$(DLLIB)/{' \
@ENABLE_RUBY_TRUE@	  -e 's/^install-so:.*$$/install-so: $$(DLLIB)/;p;n;d' \
@ENABLE_RUBY_TRUE@	  -e '}' \
@ENABLE_RUBY_TRUE@	  -e 's/\$$(\@D)/\$$(RUBYARCHDIR)/' \
@ENABLE_RUBY_TRUE@	  $(rubyObjDir)/Makefile

@ENABLE_RUBY_TRUE@rubyObjWrapper: $(rubyObjDir)/cdiobj_wrap.cpp
@ENABLE_RUBY_TRUE@$(rubyObjDir)/cdiobj_wrap.cpp: cdiobj.i cdi.hpp
@ENABLE_RUBY_TRUE@@ENABLE_SWIG_TRUE@	$(MKDIR_P) $(rubyObjDir)
@ENABLE_RUBY_TRUE@@ENABLE_SWIG_TRUE@	$(SWIG) -ruby -c++ -module CdiObj -o $(rubyObjDir)/cdiobj_wrap.cpp \
@ENABLE_RUBY_TRUE@@ENABLE_SWIG_TRUE@	  $(AM_CPPFLAGS) $<

@ENABLE_RUBY_TRUE@rubyObj: $(rubyObjDir)/CdiObj.la
@ENABLE_RUBY_TRUE@$(rubyObjDir)/CdiObj.la: $(rubyObjDir)/cdiobj_wrap.cpp $(rubyObjDir)/Makefile
@ENABLE_RUBY_TRUE@	$(MKDIR_P) $(rubyObjDir)
@ENABLE_RUBY_TRUE@	@cd $(rubyObjDir) && $(MAKE) \
@ENABLE_RUBY_TRUE@	  prefix="$(prefix)" libdir="$(libdir)" sitedir="$(libdir)/site_ruby" \
@ENABLE_RUBY_TRUE@	  CXX="$(abs_top_builddir)/libtool --mode=compile --tag=CXX $(CXX) -shared" \
@ENABLE_RUBY_TRUE@	  OBJS=cdiobj_wrap.lo \
@ENABLE_RUBY_TRUE@	  LDSHAREDXX="$(abs_top_builddir)/libtool --mode=link --tag=CXX $(CXX) -shared -module -rpath "'$$(sitearchdir)' \
@ENABLE_RUBY_TRUE@	  DLLIB='$$(TARGET).la'

@ENABLE_RUBY_TRUE@rubyObjTest: rubyObj
@ENABLE_RUBY_TRUE@	$(MKDIR_P) $(rubyObjDir)
@ENABLE_RUBY_TRUE@	@cd $(rubyObjDir) && \
@ENABLE_RUBY_TRUE@	  ruby -I ./.libs \
@ENABLE_RUBY_TRUE@	  `test -f ../ruby/testObj.rb && echo ../ruby || echo '$(abs_srcdir)/ruby'`/testObj.rb \
@ENABLE_RUBY_TRUE@	  $(select_test_file)

@ENABLE_RUBY_TRUE@rubyObjInstall: rubyObj
@ENABLE_RUBY_TRUE@	$(MKDIR_P) $(rubyObjDir)
@ENABLE_RUBY_TRUE@	@cd $(rubyObjDir) && $(MAKE) \
@ENABLE_RUBY_TRUE@	  prefix="$(prefix)" libdir="$(libdir)" sitedir="$(libdir)/site_ruby" \
@ENABLE_RUBY_TRUE@	  CXX="$(abs_top_builddir)/libtool --mode=compile --tag=CXX $(CXX) -shared" \
@ENABLE_RUBY_TRUE@	  OBJS=cdiobj_wrap.lo \
@ENABLE_RUBY_TRUE@	  LDSHAREDXX="$(abs_top_builddir)/libtool --mode=link --tag=CXX $(CXX) -shared -module -rpath "'$$(sitearchdir)' \
@ENABLE_RUBY_TRUE@	  INSTALL_PROG="$(SHELL) $(abs_top_builddir)/libtool --mode=install $(install_sh_PROGRAM)" \
@ENABLE_RUBY_TRUE@	  DLLIB='$$(TARGET).la' install

@ENABLE_PYTHON_TRUE@pythonLibWrapper: python/cdilib_wrap.c
@ENABLE_PYTHON_TRUE@python/cdilib_wrap.c: cdilib.i ../src/cdi.h
@ENABLE_PYTHON_TRUE@@ENABLE_SWIG_TRUE@	$(MKDIR_P) python
@ENABLE_PYTHON_TRUE@@ENABLE_SWIG_TRUE@	$(SWIG) -python -module CdiLib -o python/cdilib_wrap.c \
@ENABLE_PYTHON_TRUE@@ENABLE_SWIG_TRUE@	  $(AM_CPPFLAGS) $<

@ENABLE_PYTHON_TRUE@pythonLib: python/CdiLib.stamp
@ENABLE_PYTHON_TRUE@python/CdiLib.stamp: python/cdilib_wrap.c
@ENABLE_PYTHON_TRUE@	$(MKDIR_P) python
@ENABLE_PYTHON_TRUE@	@set -e ; cd python ; \
@ENABLE_PYTHON_TRUE@	  $(setup_python_vars) \
@ENABLE_PYTHON_TRUE@	  $(setup_cdilib_py_vars) \
@ENABLE_PYTHON_TRUE@	  PYTHONDONTWRITEBYTECODE=1 \
@ENABLE_PYTHON_TRUE@	  $(PYTHON) "$${setupLib_py}" build_ext -v
@ENABLE_PYTHON_TRUE@	touch $@

@ENABLE_PYTHON_TRUE@pythonLibTest: pythonLib
@ENABLE_PYTHON_TRUE@	$(MKDIR_P) python
@ENABLE_PYTHON_TRUE@	@set -e ; cd python ; \
@ENABLE_PYTHON_TRUE@	  $(setup_python_vars) \
@ENABLE_PYTHON_TRUE@	  $(setup_cdilib_py_vars) \
@ENABLE_PYTHON_TRUE@	  PYTHONDONTWRITEBYTECODE=1 \
@ENABLE_PYTHON_TRUE@	  $(PYTHON) \
@ENABLE_PYTHON_TRUE@	  `test -f testLib.py || echo '$(abs_srcdir)/python/'`testLib.py \
@ENABLE_PYTHON_TRUE@	  $(select_test_file)

@ENABLE_PYTHON_TRUE@pythonLibInstall:
@ENABLE_PYTHON_TRUE@	@set -e ; cd python; $(setup_python_vars) $(setup_cdilib_py_vars) \
@ENABLE_PYTHON_TRUE@	  $(PYTHON) "$${setupLib_py}" \
@ENABLE_PYTHON_TRUE@	  install --prefix="$(DESTDIR)$(prefix)"

# =========================================================
@ENABLE_PYTHON_TRUE@pythonObjWrapper: python/cdiobj_wrap.cpp
@ENABLE_PYTHON_TRUE@python/cdiobj_wrap.cpp: cdiobj.i cdi.hpp
@ENABLE_PYTHON_TRUE@@ENABLE_SWIG_TRUE@	$(MKDIR_P) python
@ENABLE_PYTHON_TRUE@@ENABLE_SWIG_TRUE@	$(SWIG) -python -c++ -module CdiObj -o python/cdiobj_wrap.cpp \
@ENABLE_PYTHON_TRUE@@ENABLE_SWIG_TRUE@	  $(AM_CPPFLAGS) $<

@ENABLE_PYTHON_TRUE@pythonObj: python/CdiObj.stamp
@ENABLE_PYTHON_TRUE@python/CdiObj.stamp: python/cdiobj_wrap.cpp cdi.lo
@ENABLE_PYTHON_TRUE@	$(MKDIR_P) python
@ENABLE_PYTHON_TRUE@	@set -e ; cd python; $(setup_python_vars) \
@ENABLE_PYTHON_TRUE@	  $(setup_python_cxx_vars) \
@ENABLE_PYTHON_TRUE@	  $(setup_cdiobj_py_vars) \
@ENABLE_PYTHON_TRUE@	  PYTHONDONTWRITEBYTECODE=1 \
@ENABLE_PYTHON_TRUE@	  $(PYTHON) "$${setupObj_py}" \
@ENABLE_PYTHON_TRUE@	  build_ext -v
@ENABLE_PYTHON_TRUE@	touch $@

@ENABLE_PYTHON_TRUE@pythonObjTest: pythonObj
@ENABLE_PYTHON_TRUE@	$(MKDIR_P) python
@ENABLE_PYTHON_TRUE@	@set -e ; cd python ; \
@ENABLE_PYTHON_TRUE@	  $(setup_python_vars) \
@ENABLE_PYTHON_TRUE@	  $(setup_python_cxx_vars) \
@ENABLE_PYTHON_TRUE@	  $(setup_cdiobj_py_vars) \
@ENABLE_PYTHON_TRUE@	  PYTHONDONTWRITEBYTECODE=1 \
@ENABLE_PYTHON_TRUE@	  $(PYTHON) `test -f testObj.py || echo '$(abs_srcdir)/python/'`testObj.py \
@ENABLE_PYTHON_TRUE@	  $(select_test_file)

@ENABLE_PYTHON_TRUE@pythonObjInstall:
@ENABLE_PYTHON_TRUE@	@set -e ; cd python; $(setup_python_vars) $(setup_cdiobj_py_vars) \
@ENABLE_PYTHON_TRUE@	  $(PYTHON) "$${setupObj_py}" \
@ENABLE_PYTHON_TRUE@	  install --prefix="$(DESTDIR)$(prefix)"
# =========================================================
help:
	@echo "#=====================================================#"
	@echo "# EXPERIMENTAL FEATURE ===============================#"
	@echo "#=====================================================#"
	@echo "Bindings for: python ruby"
	@echo "(please exchange <lang> with the corresponding language)"
	@echo "#=====================================================#"
	@echo "  help             - this message"
	@echo "  <lang>Obj        - create object interface for Ruby"
	@echo "  <lang>Lib        - create function interface for Ruby"
	@echo "  <lang>ObjWrapper - create the wrapper files using swig (object interface)"
	@echo "  <lang>LibWrapper - create the wrapper files using swig (function interface)"
	@echo "  <lang>ObjTest    - run object interface test (./<lang>/testObj.rb). Accepts input file argument."
	@echo "  <lang>LibTest    - run function library test (./<lang>/testLib.rb). Accepts input file argument."
	@echo "  <lang>ObjInstall - install shared libraries and optional language files for <lang>"
	@echo "  <lang>LibInstall - see <lang>ObjInstall"
#
all-local: $(BINDINGS)
install-exec-local: $(BINDINGS_INSTALL)
check-local: $(BINDINGS_TESTS)
#
clean-local:
	rm -f *~ python/CdiLib.py python/CdiLib.pyc python/CdiLib.stamp \
		python/CdiObj.py python/CdiObj.pyc python/CdiObj.stamp \
		python/cdilib_wrap.c python/cdiobj_wrap.cpp
	rm -rf python/build
	-cd $(rubyObjDir) && \rm -f CdiObj.la Makefile cdiobj_wrap.cpp \
		cdiobj_wrap.lo cdiobj_wrap.o
	-cd $(rubyLibDir) && \rm -f CdiLib.la Makefile cdilib_wrap.c \
		cdilib_wrap.lo cdilib_wrap.o
	rm -rf python/.libs $(rubyLibDir)/.libs $(rubyObjDir)/.libs
	-rmdir python $(rubyLibDir) $(rubyObjDir)

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
